#
# spec file for package perl-B-Utils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-B-Utils
Version:        0.27
Release:        5.1
%define cpan_name B-Utils
Summary:        Helper functions for op tree manipulation
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/B-Utils/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        perl-B-Utils-rpmlintrc
Source2:        cpanspec.yml
Patch0:         parent-impl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::Depends) >= 0.301
BuildRequires:  perl(Task::Weaken)
Requires:       perl(Task::Weaken)
%{perl_requires}

%description
Helper functions for op tree manipulation

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Jul 23 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-B-Utils/Changes
  - remove build/IFiles.pm from the shipped dist, as it is meant to be
    auto-generated at install time (was added in 0.26)
  - Support native B::OP::parent with 5.21.2 -DPERL_OP_PARENT (Reini Urban)
  - fix t/utils/40walk.t with 5.6 (Reini Urban)
  - Add $op->_parent method as fallback to our parent method since 5.21.2.
* Tue Apr 28 2015 coolo@suse.com
- updated to 0.26
  see /usr/share/doc/packages/perl-B-Utils/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-B-Utils/Changes
  0.24
  - Export C symbols, breakage from 0.22
  0.23
  - 5.10, 5.12, 5.14 compatibile syntax
  0.22
  - resolve nameclashes with CORE, fix hpux and openbsd failures (Reini Urban)
  - remove unneeded ExtUtils::CBuilder req (Reini Urban)
  - do not use FUNCLIST on hpux (Reini Urban)
* Mon Mar  3 2014 schwab@suse.de
- parent-impl.patch: Allow negative numbers when finding parent (from
  https://github.com/jbenjore/B-Utils/pull/9)
* Fri May 25 2012 coolo@suse.com
- updated to 0.21
  - Avoid undeclared dependency on Test::Exception introduced by 0.19
  - Fix typo in in walkallops_filtered function call
* Tue Feb 21 2012 coolo@suse.com
- updated to 0.17
  - Use FUNCLIST to declare exported symbols (Alexandr Ciornii)
  - EU::Depends version. The CPAN built version specified only 0.301
    but Windows computers needed 0.302 so their CPAN clients were
    broken.
* Mon May 30 2011 coolo@novell.com
- updated to 0.15
  - Try harder to add ExtUtils::Depends to META.yml's
    configure_requires
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.14
  - Predeclare carp and croak with proper signature
  - Add ExtUtils::Depends to META.yml's configure_requires
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- update to 0.12 (no user-visible changes)
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed May 12 2010 pascal.bleser@opensuse.org
- initial package (0.11)
